package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcBudgetMapper;
import com.ruoyi.oa.domain.CmcBudget;
import com.ruoyi.oa.service.ICmcBudgetService;

/**
 * cmc预算管理Service业务层处理
 * 
 * @author cmc
 * @date 2024-03-22
 */
@Service
public class CmcBudgetServiceImpl implements ICmcBudgetService 
{
    @Autowired
    private CmcBudgetMapper cmcBudgetMapper;

    /**
     * 查询cmc预算管理
     * 
     * @param budgetId cmc预算管理主键
     * @return cmc预算管理
     */
    @Override
    public CmcBudget selectCmcBudgetByBudgetId(String budgetId)
    {
        return cmcBudgetMapper.selectCmcBudgetByBudgetId(budgetId);
    }

    /**
     * 查询cmc预算管理列表
     * 
     * @param cmcBudget cmc预算管理
     * @return cmc预算管理
     */
    @Override
    public List<CmcBudget> selectCmcBudgetList(CmcBudget cmcBudget)
    {
        return cmcBudgetMapper.selectCmcBudgetList(cmcBudget);
    }

    /**
     * 新增cmc预算管理
     * 
     * @param cmcBudget cmc预算管理
     * @return 结果
     */
    @Override
    public int insertCmcBudget(CmcBudget cmcBudget)
    {
        return cmcBudgetMapper.insertCmcBudget(cmcBudget);
    }

    /**
     * 修改cmc预算管理
     * 
     * @param cmcBudget cmc预算管理
     * @return 结果
     */
    @Override
    public int updateCmcBudget(CmcBudget cmcBudget)
    {
        return cmcBudgetMapper.updateCmcBudget(cmcBudget);
    }

    /**
     * 批量删除cmc预算管理
     * 
     * @param budgetIds 需要删除的cmc预算管理主键
     * @return 结果
     */
    @Override
    public int deleteCmcBudgetByBudgetIds(String[] budgetIds)
    {
        return cmcBudgetMapper.deleteCmcBudgetByBudgetIds(budgetIds);
    }

    /**
     * 删除cmc预算管理信息
     * 
     * @param budgetId cmc预算管理主键
     * @return 结果
     */
    @Override
    public int deleteCmcBudgetByBudgetId(String budgetId)
    {
        return cmcBudgetMapper.deleteCmcBudgetByBudgetId(budgetId);
    }
}
